[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[UDUNITS #SXC-781088]: install unidata



Zhen,

The Expat package is not installed on your computer and is a prerequisite for 
installing the UDUNITS-2 package. See 
<http://www.unidata.ucar.edu/software/udunits/udunits-current/doc/udunits/udunits2.html#Prerequisites>
 for more information.

> Hello,
> 
> I am installing unidata package on JANUS of CU. When I configure, I got the
> following error message.
> 
> 'address@hidden udunits-2.2.20]$ ./configure
> 
> checking for a BSD-compatible install...
> The current directory must be set to the exelis directory.
> Change the default to the exelis directory and re-run
> this script.
> /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... mpicc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether mpicc accepts -g... yes
> checking for mpicc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of mpicc... gcc3
> checking whether mpicc and cc understand -c and -o together... yes
> checking how to run the C preprocessor... mpicc -E
> checking whether ln -s works... yes
> checking whether make sets $(MAKE)... (cached) yes
> checking for bison... bison -y
> checking for flex... flex
> checking lex output file root... lex.yy
> checking lex library... -lfl
> checking whether yytext is a pointer... yes
> checking whether we are using the GNU Fortran compiler... no
> checking whether mpif90 accepts -g... no
> checking for library containing dirname... none required
> checking for library containing log10... -lm
> checking for library containing XML_StopParser... no
> configure: error: cannot find EXPAT function XML_StopParser'
> 
> Do you happen to know what could possibly be the cause of this?

Regards,
Steve Emmerson

Ticket Details
===================
Ticket ID: SXC-781088
Department: Support UDUNITS
Priority: Normal
Status: Closed
===================
NOTE: All email exchanges with Unidata User Support are recorded in the Unidata 
inquiry tracking system and then made publicly available through the web.  If 
you do not want to have your interactions made available in this way, you must 
let us know in each email you send to us.



NOTE: All email exchanges with Unidata User Support are recorded in the Unidata inquiry tracking system and then made publicly available through the web. If you do not want to have your interactions made available in this way, you must let us know in each email you send to us.